const {
  generateFileName,
  getPascalCase
} = require("../../../utils/helperLoader");
const fs = require("fs");
const cwd = process.cwd();
const { blueprintDirectory, filePath } = require("../../../utils/blueprints");

module.exports = function(args) {
  let prefix = "utils";

  let fileName = generateFileName(args.name),
    componentName = getPascalCase(args.name);

  let installDirectory = blueprintDirectory(args, cwd, prefix, componentName);

  if (fs.existsSync(filePath(installDirectory, fileName))) {
    fs.unlinkSync(filePath(installDirectory, fileName));
  }
};
